<?php
class p_ajaxmessages extends cmsPlugin {
    public function __construct(){
        parent::__construct();
        $this->info['plugin']           = 'p_ajaxmessages';
        $this->info['title']            = 'Система переписки';
        $this->info['description']      = 'Система переписки на аякс от SJen';
        $this->info['author']           = 'SJen';
        $this->info['version']          = '2.0';
        // Настройки по-умолчанию
        $this->config['Период обновления в секундах']                                 = 15;
        $this->config['Класс объекта, внутри которого лежит ссылка на Сообщения'] = 'my_messages';
        $this->config['Добавлять класс для ссылки если пришло новое сообщение']       = 'has_new';
        $this->config['Цвет фона в заголовке окна']                                   = '333333'; 
        $this->config['Цвет фона границ окна']                                        = '666666' ; 
        $this->config['Цвет текста в заголовке окна']                                 = 'fff';
        $this->config['Цвет фона для выделения активной вкладки']                     = 'FFCC00';
        $this->config['Цвет текста для выделения активной вкладки']                   = '900000';
        $this->config['Тип пользовательского меню (не изменяйте)']                    = "1";
        $this->config['Уведомления в формате VK окошка']                              = "1";
        

        $this->events[]                 = 'PRINT_PAGE_HEAD';
    }
    public function install(){
        $inDB	= cmsDatabase::getInstance();
        $sql = '
          CREATE TABLE IF NOT EXISTS `cms_user_blacklist` (
            `id` int(11) NOT NULL AUTO_INCREMENT,
            `author_id` int(11) NOT NULL,
            `user_id` int(11) NOT NULL,
            `group_id` int(11) NOT NULL,
            `datetime` datetime NOT NULL,
            `comment` varchar(100) NOT NULL,
            PRIMARY KEY (`id`)
          ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT="Черный список" AUTO_INCREMENT=1 ;
        ';
        $inDB->query($sql) ;
        return parent::install();
    }
    public function upgrade(){
        return parent::upgrade();
    }
    public function execute($event, $html){
        parent::execute();
        
       $inUser = cmsUser::getInstance();
       if(!$inUser->id){return $html;}

       $test = $this->config['Режим тестирования (только для админа)'];
       if ($this->config['Уведомления в формате VK окошка']=='1'){$updatetext = "if ($('.dwindow').length) {newmessages();} else {vk_window();}";}
       else $updatetext = "newmessages();";
       
        switch ($event){
            case 'PRINT_PAGE_HEAD': 
              $inPage = cmsPage::getInstance();
              $inPage->addHeadJS('includes/jquery/jquery-migrate-1.0.0.js');
              $inPage->addHeadJS('includes/jquery/jquery.timers.js');
              $inPage->addHeadJS('plugins/p_ajaxmessages/js/d.min.js');
//              $inPage->addHeadJS('plugins/p_ajaxmessages/js/bootstrap.min.js');
              array_unshift($inPage->page_head,'<link href="/plugins/p_ajaxmessages/css/bootstrap.css" rel="stylesheet" type="text/css" />');
              $inPage->addHeadJS('includes/jquery/autocomplete/jquery.autocomplete.old.js');
              $inPage->addHeadJS('includes/jquery/jquery.cookie.js');
              $inPage->addHeadJS('core/js/smiles.js');
              
              
              if (substr(CORE_VERSION,0,4)=="1.10"){
              $period = $this->config['Период обновления в секундах'];
              $cl = $this->config['Класс объекта, внутри которого лежит ссылка на Сообщения'];
              $ncl = $this->config['Добавлять класс для ссылки если пришло новое сообщение'];
              
              $color1 = $this->config['Цвет фона в заголовке окна']; 
              $color2 = $this->config['Цвет фона границ окна']; 
              $color3 = $this->config['Цвет текста в заголовке окна']; 
              $color4 = $this->config['Цвет фона для выделения активной вкладки'];
              $color5 = $this->config['Цвет текста для выделения активной вкладки'];

              $typemenu = $this->config['Тип пользовательского меню (не изменяйте)'];

              $inPage->addHead("
              <style type='text/css'>
                .d_body_left_fon{background: #$color2;}
                .d_bottom{background: #$color2;}
                .d_title{background: #$color1;color:#$color3;}
                .d_active{background: #$color4;color: #$color5;}
                .d_click:hover{background: #$color4;color: #$color5;border-radius: 5px 5px 5px 5px;}
                .vk_window{background:none repeat scroll 0 0 #222;border-radius:10px 10px 10px 10px;bottom:-65px;height:75px;margin:5px;opacity:0.9;padding:10px;padding-right:20px;position:fixed;right:10px;width:300px;box-shadow:5px 5px 5px #000;-moz-box-shadow:5px 5px 5px #000}.vk_title{font:13px tahoma,arial,verdana,sans-serif,lucida sans bold /28px;height:21px;margin:-10px -13px 10px;padding-left:14px}.vk_title,.vk_text,.vk_window a{color:#fff}.vk_title,#vk_a_close{display:block}.vk_img{border-radius:5px 5px 5px 5px;float:left;margin-right:10px;width:50px}.vk_img,.vk_text{height:50px;overflow:hidden}.vk_img,.vk_text,.vk_else{cursor:pointer}.vk_text{font:11px tahoma,arial,verdana,sans-serif,lucida sans bold;text-align:justify}.vk_name{font-weight:bold;color:#b1daff}vk_else:hover{text-decoration:underline}.vk_close{background:none repeat scroll 0 0 #000;border-radius:3px 3px 3px 3px;box-shadow:0 0 2px #111;left:296px;margin:0 0 0 10px;opacity:0.6;padding:5px;float:right;top:10px;position:absolute;display:none}#vk_a_close{height:7px;width:7px;background:url(/plugins/p_ajaxmessages/images/notifier_close.gif)}                
                .day_dialog{background: #$color2;}
              </style>
              <script type='text/javascript'>
                $(document).ready(function(){ 
                  $('div:first').everyTime('{$period}s', function(i) {
                    $.get('/plugins/p_ajaxmessages/ajax/dc.php',{wtg:'updatemenu'},
                      function(data){ 
                        if (data=='') { $('.$cl a').html('Сообщения');
                        $('.$cl a').removeClass('$ncl');
                        }
                        else { $('.$cl a').html('Сообщения ('+data+')');
                        $('.$cl a').addClass('$ncl');
                        d_Sound();
                        $updatetext
                        }                           
                      });
                      if ($('#soundspan').length){ $('#soundspan').html();}
                      else{ $('body').append('<span id=\'soundspan\'></span>');}
                      if ($('#lastmessageid').length){ $('#lastmessageid').html('1');}
                      else { $('body').append('<span id=\'lastmessageid\' style=\'display:none\'>1</span>');}
                  });
                }); 
              </script>           
                ");                  
              }
              
              
              return $inPage->page_head;

              break;
        }
        return $html;
    }
}
?>